Content Library Item Storage get

Content Library Item Storage get

Retrieves the storage information for a specific file in a library item.

Returns an authorization error if you do not have all of the privileges described as follows:

  • The resource com.vmware.content.library.Item referenced by the parameter libraryItemId requires ContentLibrary.ReadStorage.
Request
URI
GET
https://{host}/api/content/library/item/{libraryItemId}/storage?file_name
COPY
Path Parameters
string
libraryItemId
Required

Identifier of the library item whose storage information should be retrieved.

The parameter must be an identifier for the resource type: com.vmware.content.library.Item.

Query Parameters
string
file_name
Required

Name of the file for which the storage information should be listed.


Authentication
This operation uses the following authentication methods.
Responses
200

The list of all the storage items for the given file within the given library item.

[
    {
        "storage_backing": {
            "type": "string",
            "datastore_id": "string",
            "storage_uri": "string"
        },
        "storage_uris": [
            "string"
        ],
        "checksum_info": {
            "algorithm": "string",
            "checksum": "string"
        },
        "name": "string",
        "size": 0,
        "cached": false,
        "version": "string",
        "file_download_endpoint": "string"
    }
]
array of object
Optional

The Content Library Item Storage Info schema is the expanded form of Content Library Item File Info that includes details about the storage backing for a file in a library item.


404

if the specified library item does not exist.

if the specified file does not exist in the given library item.

Returns Vapi Std Errors NotFound of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": {
                        "id": "string",
                        "params": {
                            "params": "Vapi Std LocalizationParam Object"
                        }
                    },
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string"
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/content/library/item/{libraryItemId}/storage?file_name?file_name=v